Dave Thomas <Dave / thomases.com> wrote:
>
>"Ben Tilly" <ben_tilly / hotmail.com> writes:
>
> > In fact I note that the version of Ruby I downloaded last
> > week did not come with a copy of the LGPL.  It is therefore
> > in license violation.  Clearly Matz didn't *intend* to mess
> > up, but he did.
>
>Which version was this? If it was the InstallShield one, then it was
>nothing to do with Matz. Let us know so we can fix it.
>
I am on Linux so I downloaded 1.6.1 from
http://www.ruby-lang.org/en/download.html.  It did not
come with the LGPL license.

You probably should check the InstallShield one as well.
Just do an install, keeping an eye for copyright notices.
Any you find, add the LGPL notice to that.  Make sure that
you install a copy of the LGPL license.  Make sure that
you said somewhere how to get complete source-code.

IANAL, but I believe that does it.

Cheers,
Ben
_____________________________________________________________________________________
Get more from the Web.  FREE MSN Explorer download : http://explorer.msn.com